Description

Do you know if Morpho is by default archiving the resource map when a new version of a data package is pushed to KNB?

| am asking because | realized that when | try to go back to previous versions of our SNAPP packages, it seems that all the previous
resourceMaps were archived (thanks for @peter for helping me to understand that) restricting the access to previous versions to the
EML only. Here as example: https://knb.ecoinformatics.org/#view/karakoenig.46.14 as the lateset and
https://knb.ecoinformatics.org/#view/karakoenig.46.12 as a previously shared version with the Pls.

History

#1 - 08/16/2017 10:16 PM - Jing Tao

From Chris:

I’'m pretty sure the behavior described here: (https:/nceas.slack.com/archives/CON49FM9V/p1502908030000459) isn’t what is intended. We've

struggled with setting objects to be archived because the definition of what it means to be “archived™ has

changed slightly from pre-DataONE to

post-DataONE. | think it would be worthwhile to review the code, and if appropriate, not calle “archive()® on content that truly isn’t being archived, but
rather just set the “obsoletes’ and “obsoletedBy" fields to maintain the version chain, which it should already do.

#2-11/07/2017 12:36 PM - Jing Tao

- Status changed from New to Resolved

Change the code not to set archive to be true. But the obsoletedBy/obsoletes chains still are maintained.

#3 - 12/08/2017 09:56 AM - Jing Tao
- Target version changed from 2.9.0 to 2.8.6

03/20/2024

1/1



https://knb.ecoinformatics.org/#view/karakoenig.46.14
https://knb.ecoinformatics.org/#view/karakoenig.46.12
https://nceas.slack.com/archives/C0N49FM9V/p1502908030000459
http://www.tcpdf.org

